Subject: Re: Network card IRQ balancing with Intel 5000 series chipsets

From: Rick Jones <[email-masked]>
Date: Tue, 02 Jan 2007 09:57:56 -0800

>>With NAPI, if i have a few interupts it likely implies i have a huge
>>network load (and therefore CPU use) and would be much more happier if
>>you didnt start moving more interupt load to that already loaded CPU....
> 
> 
> current irqbalance accounts for napi by using the number of packets as
> indicator for load, not the number of interrupts. (for network
> interrupts obviously)

And hopefully some knowledge of NUMA so it doesn't "balance" the 
interrupts of a NIC to some far-off (topology-wise) CPU...

rick jones